/* Heading - General */

body, body.single-defender {
	.header {
		height: 100vh;
		position: relative;
		overflow: hidden;

		.header__video {
			height: 100%;
			width: 100%;
			cursor: default;
			
			.header__video--inner {
				height: 100%;

				.img-wrapper {
					width: 100%;
					height: 100%;

					img, video {
						width: 100%;
						height: 100%;
						object-fit: cover;
					}

					&.img-wrapper-mobile {
						display: none;
						@media only screen and (max-width: 768px) {
							display: block;
						}
					}
					
					&.img-wrapper-desktop {
						@media only screen and (max-width: 768px) {
							display: none;
						}
					}
				}
				
				.wrapper-text-button {
					position: absolute;
					top: 0;
					left: 0;
					right: 0;
					bottom: 0;
					display: flex;
					justify-content: center;
					flex-direction: column;
					gap: 20px;
					padding: 20px;
					
					.wrapper-text {
						width: 100%;
						max-width: 800px;
				    margin: 0 auto;
				    text-align: center;
						font-size: 42px;
						line-height: 1.2;
						font-family: var(--tl-font-bodoni);
						font-weight: 400;
						font-variation-settings: 'wght' 400;
						color: var(--tl-white);
					}

					.header-text-top, .header-text-bottom {
						text-align: center;
						color: var(--tl-white);
						letter-spacing: 2px;
					}

					.header-text-top {
						text-transform: uppercase;
					}
				
					.header-text-bottom {
						font-family: var(--tl-font-bodoni);
						font-style: italic;
						font-size: 20px;
					}
				}
			}
		}
		
		&.remove-fullscreen {
			.item-down {
				display: none !important;
			}
		}
		
		&:not(:has(*)) {
			display: none;
		}
	}
}

.page-template-contact-3-0 {
	.page-wrapper {
		.header {
			height: auto;
		}
	}
}